/* Importation des polices */
@import url("https://fonts.googleapis.com/css2?family=Koulen&family=Poppins:ital,wght@0,300;0,400;1,100;1,400;1,500&family=Racing+Sans+One&display=swap");

:root {
  --blanc: #ffffff;
  --noire: #000000;
  --bleu: #51804c;
  --bleu-nuit: #0d240def;
  --bleu-nuit-foncé: #0ca145;
  --gris: #888b8d;
  --bleu-ciel: #1c241ee8;
  --Very-Dark-Blue: hsl(234, 12%, 34%);
  --Grayish-Blue: hsl(229, 6%, 66%);
  --Very-Light-Gray: hsl(0, 0%, 98%);
  --border-color: hsl(0, 0%, 50%);
  --fw-light: 200;
  --fw-regular: 400;
  --fw-bold: 600;

  color: var(--Grayish-Blue);
  font-size: 15px;
  font-family: "Poppins", sans-serif;
  font-weight: var(--fw-regular);
}

html {
  font-size: 16px;
}

body {
  font-family: "Poppins", sans-serif;
  font-size: 1rem;
  margin: auto;
  width: 100%;
  height: auto;
  position: relative!important;
  z-index: -1!important;
  overflow-x: hidden;
}

img {
  max-width: 100%;
}

ul {
  padding-left: 0;
}

li {
  font-weight: 400;
  list-style: none;
  text-decoration: none;
}

h2 {
  font-family: "koulen";
  font-size: 2rem !important;
  font-weight: 300;
  text-align: center;
  margin: 0;
  color: var(--bleu-nuit-foncé);
}

input[type="number"] {
  overflow: hidden !important;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.btn-primary {
  font-size: 1rem;
  text-align: center;
  padding: 0.75rem 2rem;
  font-weight: 600;
  border-radius: 8px;
}

.btn-primary {
  background-color: var(--bleu-nuit) !important;
  border-style: none;
}

.btn:hover,
.btn:focus-visible,
.btn-check:focus + .btn,
.btn:focus,
.btn:first-child:active,
:not(.btn-check) + .btn:active,
.btn:first-child:active:focus-visible,
:not(.btn-check) + .btn:active:focus-visible {
  box-shadow: none;
  transition: 0.5s ease-in-out;
}

.btn:hover.btn-primary,
.btn:focus-visible.btn-primary,
.btn-check:focus + .btn.btn-primary,
.btn:focus.btn-primary,
.btn:first-child:active.btn-primary,
:not(.btn-check) + .btn:active.btn-primary {
  background-color: var(--bleu-nuit-foncé) !important;
  border: 1px solid var(--bleu-nuit-foncé);
  text-decoration: none;
}

.btn:hover.btn-primary,
.btn:focus-visible.btn-primary,
.btn-check:focus + .btn.btn-primary,
.btn:focus.btn-primary,
.btn:first-child:active.btn-primary,
:not(.btn-check) + .btn:active.btn-primary {
  border: 1px solid var(--bleu-nuit-foncé);
}

.form-control {
  background-color: #e4eef9;
  padding: 0.75rem;
  border: 1.5px solid #e4eef9;
  border-radius: 4px;
  width: 100%;
  color: var(--noire);
}

.form-control:focus {
  background-color: #e4eef9;
  border-color: #e4eef9;
  box-shadow: none;
  color: var(--noire);
}

.form-control.is-invalid:focus,
.was-validated .form-control:invalid:focus {
  border: none;
  box-shadow: none;
}

.form-control::placeholder {
  font-size: 0.75rem;
  font-weight: 400;
  color: var(--noire);
}

.card {
  border: none;
  margin-bottom: auto;
  background-color:#fdfdfdfd;
}

/*page index  */
/* navbar */
.navbar {
  position: fixed;
  width: 100%;
  font-family: "koulen";
  z-index: 1;
  color:#fdfdfdfd;
}

.navbar-scrolled {
  background-color:#3a423bfd;
  box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.15);
 z-index: 1;
 color:#011b01 !important;
}
/* Animation de secousse */
@keyframes shake {
  0% { transform: translateX(0); }
  25% { transform: translateX(-5px); }
  50% { transform: translateX(5px); }
  75% { transform: translateX(-5px); }
  100% { transform: translateX(0); }
}

/* Style du bouton de téléchargement */
.btn-download {
  display: inline-block;
  padding: 10px 20px;
  background-color: #28a745; /* Couleur verte */
  color: white;
  text-decoration: none;
  border-radius: 5px;
  font-size: 16px;
  animation: shake 0.5s infinite; /* Animation en boucle */
}

/* Effet au survol */
.btn-download:hover {
  background-color: #218838; /* Couleur verte plus foncée */
  animation: none; /* Arrêter l'animation au survol */
}
.nav-link {
  color: var(--blanc);
  text-align: center;
  margin-right: 1rem;
  font-size: 0.695rem;
}

.nav-link.active {
  color:#08cc18 !important;
}

.nav-link:hover {
  color: var(--bleu) !important;
}

.navbar-toggler {
  box-shadow: none !important;
  border: none !important;
}

.navbar-toggler .navbar-toggler-icon {
  color: var(--blanc);
}

.navbar-collapse .navbar-nav {
  display: flex;
  margin-left: 1rem;
  flex-direction: row;
}

/* banner */
.banner-section {
  background-size: cover;
  background-position: center;
  position: relative;
  
  overflow: hidden;
}


#bg-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover; /* Couvre toute la zone sans déformation */
  z-index: -1; /* Place la vidéo en arrière-plan */
}

.gradient-overlay {
  position: relative;
  z-index: 1; /* Place le contenu au-dessus de la vidéo */
}

/* Styles supplémentaires pour le contenu */
.banner-title, .banner-content {
  color: white; /* Assurez-vous que le texte est lisible */
}

.banner-bg {
  padding: 10rem 0 10rem !important;
}

.banner-bg .banner-first {
  font-size: 2rem !important;
  text-align: center;
  margin-bottom: 1.5rem;
  font-family: "koulen";
  font-weight: 700 !important;
  color: var(--blanc);
}

.gradient-overlay {
  background: var(--bleu-nuit);
  opacity: 0.9;
}

.banner-content {
  text-align: center;
  justify-content: center;
  font-size: 1rem;
  margin: 4rem 1rem;
  line-height: 1.5rem;
  
}

.banner-bg .banner-form {
  background-color: #40503d;
  padding: 2rem;
  border-radius: 8px;
}

.header-transform .card {
  width: 335px;
  text-align: center;
  height: 400px;
  margin: 0 1rem;
}

.header-transform .card .card-line {
  height: 7px;
  width: 120px;
  background-color: var(--bleu-nuit);
  margin: 2rem auto;
}

.header-transform .card .card-title {
  color: #000!important;
  margin-bottom: 2rem;
  justify-content: center;
}

/* service */
.services {
  background-color: var(--bleu-ciel);
  padding: 5rem 0 0;
}

.services .card {
  box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.15);
  margin: 0 auto;
  width: 360px;
  background-color:#fdfdfdfd;

}

.services .card .card-body {
  padding: 2rem;
}

.services .card-text {
  color: #747579;
  font-size: 1rem;
  line-height: 1.5;
  font-weight: 400;
}

.services .section-title,
.services span {
  text-align: center;
  color: #fff;
}

.section-title {
  font-size: 3rem !important;
  font-weight: 700 !important;
  margin-bottom: 1rem;
}

.services .card_grid a {
  text-decoration: none;
}

.cyan {
  --border-color: hsl(180, 62%, 55%);
}

.red {
  --border-color: hsl(0, 78%, 62%);
}

.orange {
  --border-color: hsl(34, 97%, 64%);
}

.blue {
  --border-color: hsl(212, 86%, 64%);
}

.card_grid {
  grid-template-columns: repeat(1, minmax(200px, 1fr));
  margin-top: 3rem;
  display: grid;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}

.cards {
  max-width: 20rem;
  margin: 0 auto;
  padding: 2rem;
  border-top: 0.3rem solid var(--border-color);
  border-radius: 0.3rem;
  box-shadow: 0 0.6rem 0.6rem rgba(23, 79, 138, 0.1);
  color:#000;
  background-color:#fdfdfdfd;

}

.card_title {
  margin-bottom: 1rem;
  font-size: 1.5rem !important;
  font-weight: 600;
  color: var(--Very-Dark-Blue)!important;
}

.card_content {
  margin-bottom: 1.5rem;
  font-size: 0.9rem;
}

.card_img {
  margin-left: auto;
  display: block;
}

/* service_dev */
/* technologie */
.technologie {
  padding: 5rem 0;
}

.technologie .banner-first {
  text-align: start !important;
}

.technologie .banner-content {
  text-align: start !important;
}

.technologie ul li {
  list-style: outside;
}

.technologie .card-title{
  margin: 1.5rem 0;
  text-align: start;
  color: #000!important;
}

/* banner-tech */
.banner-dev .banner-bg {
  padding-bottom: 7rem !important;
}

.banner-dev {
  background-image: url("image/Background.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.banner-dev .banner-first {
  text-align: start !important;
  color: var(--bleu-nuit-foncé) !important;
}

.banner-dev .banner-content {
  color: var(--bleu-nuit-foncé) !important;
  text-align: start !important;
}

.img_card {
  width: 5rem;
  height: 5rem;
  margin: auto;
}

.img-tech {
  width: 5rem;
  height: 5rem;
  margin: auto;
}

.border-red {
  border-top: 0.2rem solid #ff0000;
}

.border-blue {
  border-top: 0.2rem solid #56a7f1;
}

.border-yellow {
  border-top: 0.2rem solid #facb31;
}

.border-cyan {
  border-top: 0.2rem solid cyan;
}

/* portfolio */
.portofolio {
  padding: 3rem 0;
  position: relative;
  z-index: -1;
}

.portofolio .card-body {
  position: relative;
}

.card-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: opacity 0.3s ease; 
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .card-body:hover .card-overlay {
    opacity: 1; /* Afficher l'overlay lors du survol de la carte */
  }

  .card-overlay h5 {
    color: white;
    font-size: 24px;
    text-align: center;
  }

.banner-section-portfolio-detail {
  background-image: url("image/bg-portfolio.svg");
  background-size: cover;
  background-position: center;
}

/* .portfolio-detail {
    background-image: url(image/bg-content-portfolio.svg);
    background-repeat: no-repeat;
    background-size: contain;
} */

.portfolio-detail-title {
  font-weight: 600;
  color: var(--bleu-nuit-foncé);
  text-align: center;
  margin-bottom: 2rem;
}

.portfolio-detail-text {
  text-align: center;
}

.portfolio-detail .card-img-top {
  max-width: 400px;
}

.portfolio-detail .card-body {
  display: flex;
  justify-content: center;
}

/* faq */
.faq {
  padding: 0rem 0 3rem;
  margin-bottom: 2rem;
  background-color: var(--bleu);
  position: relative;
  z-index: -1;
}

.faq .accordion-button {
  background-color: #fff;
  color: var(--color-primary);
  border-radius: 0 !important;
  font-weight: 500;
  font-size: 1rem;
}

.faq .accordion-button:focus {
  border-color: none;
  box-shadow: none;
}

.faq .accordion-item {
  margin-bottom: 1rem;
  border: none;
  border-radius: 8px;
  background-color: transparent;
}

.faq .accordion-item:first-of-type .accordion-button {
  border-radius: 8px;
  border: none;
}

.faq .accordion-item:last-of-type .accordion-button {
  border-radius: 8px;
  border: none;
}

.accordion-button::after {
  background-image: url(image/icon-add.svg);
  background-size: 10px 10px;
  background-position: center;
}

.accordion-button:not(.collapsed)::after {
  background-image: url(image/icon-open.svg);
  background-size: 10px 10px;
  background-position: center;
}

.faq .accordion-body {
  padding: 1rem 1rem;
  color: var(--blanc) !important;
  font-size: 1rem;
  font-weight: 400;
}

/* partenaires */
.partenaires {
  margin-bottom: 2rem;
}

/* newsletter */
.newsletter {
  margin: 0 0 3rem;
}

.newsletter .container {
  background-color: #c4f1c3;
  padding: 5rem 0;
  border-radius: 14px;
}

.newsletter .newsletter-title {
  font-weight: 700;
  font-size: 1.5rem;
  margin-bottom: 1.5rem;
  text-align: start;
}

.newsletter .newsletter-text {
  font-size: 1rem;
}

/* footer */
.footer {
  background-color: #013812;
  padding: 3rem 0 0;
  color: var(--blanc);
  text-align: center;
}

.footer .footer-link {
  padding: 1rem;
}

.footer .nav {
  flex-direction: row;
}

.footer .nav-link {
  margin-right: 0rem;
}

.footer .footer-list-item {
  margin: 1rem 0;
}

.footer-line {
  margin-left: 5rem;
  margin-right: 5rem;
}

.footer .copyright .container {
  padding: 1rem;
  border-top: 0.125rem solid var(--color-white);
}
/* Style pour la modale */
.modal {
  display: none; /* Cachée par défaut */
  position: fixed;
  z-index: 1000; /* Au-dessus de tout */
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8); /* Fond sombre */
  justify-content: center;
  align-items: center;
}

/* Contenu de la modale */
.modal-content {
  position: relative;
  background-color: #fff;
  padding: 20px;
  border-radius: 10px;
  max-width: 800px;
  width: 90%;
  text-align: center;
}

/* Bouton de fermeture */
.close {
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 30px;
  font-weight: bold;
  color: #000;
  cursor: pointer;
}

.close:hover {
  color: #ff0000; /* Rouge au survol */
}

/* Style pour la vidéo */
video {
  width: 100%;
  height: auto;
  border-radius: 10px;
}
/* service_design */

/*PAGE ABOUT */

/* header */
.banner-about {
  background-image: url("image/apropos.jpg");
  background-size: cover;
  background-position: center;
}

.banner-text {
  font-family: "koulen";
  font-weight: 500;
  color: var(--blanc) !important;
  font-size: 1.5rem !important;
}

/* processus */
.processus {
  background: linear-gradient(to bottom, #d7ecfc, #f0f4f6);
  margin-bottom: 4rem;
}

.header-transform {
  transform: translateY(-91px);
}

.slick-prev,
.slick-next {
  display: none !important;
}

.slick-initialized .slick-slide{
  display: flex!important;
  justify-content: center!important;
}

.responsive {
    width: 1110px;
    height: auto;
    margin: 20px auto;
    text-align: center;
  }

.slick-dots li button:before {
  font-size: 11px;
  line-height: 23px;
}

.slick-dots li.slick-active button:before {
  opacity: 0.75;
  color: var(--bleu-nuit-foncé);
}

/* .slick-slider .slick-track {
    transform: translate3d(1px, 0, 0) !important;
  } */

.processus .card-title {
  display: flex;
  color: #000;
  font-weight: 700 !important;
}

.card-processus {
  background: none;
}

.processus .card-number {
  font-weight: 900;
  font-size: 5rem !important;
  color: var(--bleu-nuit-foncé);
  display: flex;
}

/* page contact */

/* contact */
.banner-contact {
  background-image: url("image/contact.png");
  background-size: cover;
  background-position: center;
}

.contact {
  margin: 3rem 0;
}

.contact form {
  padding: 1rem;
  background-color: #f0f2f8;
}

.contact .contact-title {
  font-size: 1.5rem;
  font-weight: 700;
  margin-bottom: 4rem;
}

.contact .contact-item {
  display: flex;
  align-items: center;
  margin-bottom: 3rem;
}

.contact .contact-item span {
  font-weight: 600;
}

/* progress-bar */
.progress-wrap {
  position: fixed;
  right: 50px;
  bottom: 50px;
  height: 46px;
  width: 46px;
  cursor: pointer;
  display: block;
  border-radius: 50px;
  box-shadow: inset 0 0 0 2px rgba(51, 97, 248, 0.945);
  z-index: 10000;
  opacity: 0;
  visibility: hidden;
  transform: translateY(15px);
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

.progress-wrap.active-progress {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.progress-wrap::after {
  position: absolute;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f062";
  text-align: center;
  line-height: 46px;
  font-size: 18px;
  color: #3a4df3;
  left: 0;
  top: 0;
  height: 46px;
  width: 46px;
  cursor: pointer;
  display: block;
  z-index: 1;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

.lightScrollIcon::after {
  color: #ecedf3 !important;
}

.progress-wrap:hover::after {
  opacity: 0;
}

.progress-wrap::before {
  position: absolute;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f062";
  text-align: center;
  line-height: 46px;
  font-size: 18px;
  opacity: 0;
  background-image: linear-gradient(298deg, #2c77da, #83aace);
  -webkit-text-fill-color: transparent;
  left: 0;
  top: 0;
  height: 46px;
  width: 46px;
  cursor: pointer;
  display: block;
  z-index: 2;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

.progress-wrap:hover::before {
  opacity: 1;
}

.progress-wrap svg path {
  fill: none;
}

.progress-wrap svg.progress-circle path {
  stroke: #25273b;
  stroke-width: 4;
  box-sizing: border-box;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

/* animation des images */
@keyframes shake {
    0% { transform: translateX(0); }
    25% { transform: translateX(-5px); }
    50% { transform: translateX(5px); }
    75% { transform: translateX(-5px); }
    100% { transform: translateX(0); }
  }

  .card_img:hover {
    animation: shake 1s infinite; /* Animation de secousse */
  }

/* Style du bouton fixe */
.download-brochure {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 1000;
}

.btn-download {
  background-color: #28a745;
  color: white;
  padding: 10px 20px;
  border-radius: 5px;
  text-decoration: none;
  font-size: 16px;
  display: flex;
  align-items: center;
  gap: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  transition: background-color 0.3s ease;
}

.btn-download:hover {
  background-color: #218838;
}

.bi-download {
  font-size: 20px;
}


@media (min-width: 768px) and (max-width: 991.98px) {
  h1 {
    font-family: "koulen";
    font-size: 3rem !important;
    text-align: start;
    margin: 0;
  }

  .nav-link {
    color: var(--blanc) !important;
    text-align: center;
    margin-right: 1.25rem;
  }

  .banner-bg .banner-first {
    font-size: 3.75rem !important;
    text-align: center;
    margin-bottom: 1.5rem;
    font-family: "koulen";
    font-weight: 500;
  }

  .banner-content {
    margin: 4rem 6rem;
  }
  
  .header-transform .card{
    width: 300px;
  }

  .services .card {
    width: 337.5px;
  }

  .contact form {
    padding: 1rem;
  }

  .contact .contact-title {
    font-size: 1.5rem;
  }

  .newsletter .newsletter-bg {
    padding: 2.5rem;
  }

  .card_grid {
    grid-template-columns: repeat(2, minmax(200px, 1fr));
    align-items: stretch;
  }

  .cyan {
    grid-area: auto;
  }

  .blue {
    grid-area: auto;
  }

  .cards {
    max-width: 300px;
  }

  .portfolio-detail .card-img-top {
    max-width: 100%;
  }

  .footer .nav {
    flex-direction: column;
  }
}

@media (min-width: 992px) {
  h1 {
    font-family: "koulen";
    font-size: 3.75rem !important;
    text-align: center;
    margin: 0;
  }

  .banner-bg .banner-first {
    font-size: 3.75rem !important;
    text-align: center;
    margin-bottom: 1.5rem;
    font-family: "koulen";
    font-weight: 500;
  }

  .banner-dev .banner-first {
    font-size: 2.5rem !important;
  }

  .banner-dev .banner-content {
    font-size: 2rem !important;
  }

  .banner-dev .banner-description {
    font-size: 1.25rem !important;
  }

  .banner-content {
    margin: 4rem 9rem;
  }

  .services .card {
    box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.15);
    width: 310px;
  }

  .contact form {
    padding: 5rem;
  }

  .contact .contact-title {
    font-size: 2rem;
  }
    .contact form {
        padding: 5rem;
    }

    .contact .contact-title {
        font-size: 2rem;
    }

  .newsletter .newsletter-bg {
    padding: 2.5rem;
  }

  .contact form {
    background-color: #f0f2f8;
    padding: 4rem;
  }

  .navbar-collapse .navbar-nav {
    display: flex;
    margin-left: 0;
  }

  .banner-bg {
    padding: 10rem 0 10rem !important;
  }

  .card_grid {
    grid-template-columns: repeat(3, minmax(200px, 1fr));
  }

  .cyan {
    grid-area: 1 / 1 / 3 / 2;
  }

  .blue {
    grid-area: 1 / 3 / 3 / 4;
  }

  .footer .nav {
    flex-direction: column;
  }

  .nav-link {
    font-size: 1.25rem;
  }

  .footer .nav-link {
    margin-right: 0rem;
  }
}


/* Styles pour les écrans de petite taille (téléphones) */
@media only screen and (max-width: 600px) {
  /* Styles pour les écrans de petite taille ici */
}

/* Styles pour les écrans de taille moyenne (tablettes) */
@media only screen and (min-width: 601px) and (max-width: 1024px) {
  /* Styles pour les écrans de taille moyenne ici */
}

/* Styles pour les écrans de grande taille (ordinateurs de bureau) */
@media only screen and (min-width: 1025px) {
  /* Styles pour les écrans de grande taille ici */
}
